export const totem1 = (entryLoc) => [
    {
        "x": entryLoc.x,
        "y": entryLoc.y,
        "z": entryLoc.z,
        "blockID": "minecraft:netherrack"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y - 1,
        "z": entryLoc.z,
        "blockID": "minecraft:netherrack"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y - 2,
        "z": entryLoc.z,
        "blockID": "minecraft:gold_block"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y - 3,
        "z": entryLoc.z,
        "blockID": "minecraft:gold_block"
    }
]

export const totem2 = (entryLoc) => [
    {
        "x": entryLoc.x,
        "y": entryLoc.y,
        "z": entryLoc.z,
        "blockID": "minecraft:netherrack"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y,
        "z": entryLoc.z,
        "blockID": "minecraft:redstone_torch"
    },
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y,
        "z": entryLoc.z,
        "blockID": "minecraft:redstone_torch"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:redstone_torch"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:redstone_torch"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y - 1,
        "z": entryLoc.z,
        "blockID": "minecraft:mossy_cobblestone"
    },
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z,
        "blockID": "minecraft:gold_block"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z,
        "blockID": "minecraft:gold_block"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y - 1,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:gold_block"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y - 1,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:gold_block"
    },
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:gold_block"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:gold_block"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:gold_block"
    },
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:gold_block"
    },
]

export const totem3 = (entryLoc) => [
    {
        "x": entryLoc.x,
        "y": entryLoc.y,
        "z": entryLoc.z,
        "blockID": "minecraft:netherrack"
    },
    // Cima Arredor //
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y,
        "z": entryLoc.z,
        "blockID": "minecraft:redstone_wire"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y,
        "z": entryLoc.z,
        "blockID": "minecraft:redstone_wire"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:redstone_wire"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:redstone_wire"
    },
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:redstone_wire"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:redstone_wire"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:redstone_wire"
    },
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:redstone_wire"
    },
    // Base //
    {
        "x": entryLoc.x,
        "y": entryLoc.y - 1,
        "z": entryLoc.z,
        "blockID": "minecraft:copper_block"
    },
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z,
        "blockID": "minecraft:copper_block"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z,
        "blockID": "minecraft:copper_block"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y - 1,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:copper_block"
    },
    {
        "x": entryLoc.x,
        "y": entryLoc.y - 1,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:copper_block"
    },
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:copper_block"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:copper_block"
    },
    {
        "x": entryLoc.x + 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z - 1,
        "blockID": "minecraft:copper_block"
    },
    {
        "x": entryLoc.x - 1,
        "y": entryLoc.y - 1,
        "z": entryLoc.z + 1,
        "blockID": "minecraft:copper_block"
    },
]